hakatashi hakatashi

nightmare

17 7 0

A high-level browser automation library.

Dependencies

Package Locked Requirement Latest Status Changelog
Npms debug ^2.2.0 2.6.3

debug

small debugging utility

This dependency is up-to-date. Congrats and keep going!

Npms deep-defaults ^1.0.3 1.0.4

deep-defaults

Recursive version of _.defaults

This dependency is up-to-date. Congrats and keep going!

Npms defaults ^1.0.2 1.0.3

defaults

merge single level defaults over a config object

This dependency is up-to-date. Congrats and keep going!

Npms electron-prebuilt ^1.2.5 1.4.13

electron-prebuilt

Install prebuilt electron binaries for the command-line using npm

This dependency is up-to-date. Congrats and keep going!

Npms enqueue ^1.0.2 1.0.2

enqueue

queue up function calls

This dependency is up-to-date. Congrats and keep going!

Npms function-source ^0.1.0 0.1.0

function-source

get a function's source

This dependency is up-to-date. Congrats and keep going!

Npms jsesc ^0.5.0 2.4.0

jsesc

A JavaScript library for escaping JavaScript strings while generating the shortest possible valid output.

This dependency is not matching latest version. Please consider upgrading.

Npms minstache ^1.2.0 1.2.0

minstache

Mini mustache template engine

This dependency is up-to-date. Congrats and keep going!

Npms mkdirp ^0.5.1 0.5.1

mkdirp

Recursively mkdir, like `mkdir -p`

This dependency is up-to-date. Congrats and keep going!

Npms once ^1.3.3 1.4.0

once

Run a function exactly one time

This dependency is up-to-date. Congrats and keep going!

Npms rimraf ^2.4.3 2.6.1

rimraf

A deep deletion module for node (like `rm -rf`)

This dependency is up-to-date. Congrats and keep going!

Npms sliced 1.0.1 1.0.1

sliced

A faster Node.js alternative to Array.prototype.slice.call(arguments)

This dependency is up-to-date. Congrats and keep going!

Npms split2 ^2.0.1 2.1.1

split2

split a Text Stream into a Line Stream, using Stream 3

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Npms basic-auth ^1.0.3 1.1.0

basic-auth

node.js basic auth parser

This dependency is up-to-date. Congrats and keep going!

Npms basic-auth-connect ^1.0.0 1.0.0

basic-auth-connect

Basic auth middleware for node and connect

This dependency is up-to-date. Congrats and keep going!

Npms chai ^3.4.1 3.5.0

chai

BDD/TDD assertion library for node.js and the browser. Test framework agnostic.

This dependency is not matching latest version. Please consider upgrading.

Npms chai-as-promised ^5.3.0 6.0.0

chai-as-promised

Extends Chai with assertions about promises.

This dependency is not matching latest version. Please consider upgrading.

Npms express ^4.13.3 4.15.2

express

Fast, unopinionated, minimalist web framework

This dependency is up-to-date. Congrats and keep going!

Npms mocha ^2.3.0 3.2.0

mocha

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms mocha-generators ^1.2.0 2.0.0

mocha-generators

Enable support for ES6 generators in Mocha tests

This dependency is not matching latest version. Please consider upgrading.

Npms multer 1.1.0 1.3.0

multer

Middleware for handling `multipart/form-data`.

This dependency is not matching latest version. Please consider upgrading.

Npms pngjs ^2.2.0 3.0.1

pngjs

PNG encoder/decoder in pure JS, supporting any bit size & interlace, async & sync with full test suite.

This dependency is not matching latest version. Please consider upgrading.

Npms serve-static ^1.10.0 1.12.1

serve-static

Serve static files

This dependency is up-to-date. Congrats and keep going!

Npms split ^1.0.0 1.0.0

split

split a Text Stream into a Line Stream

This dependency is up-to-date. Congrats and keep going!